Subject: Re: [bug#29650] Add darktable configure option

From: Roel Janssen <[email-masked]>
Date: Mon, 11 Dec 2017 11:21:39 +0100

Mark Meyer writes:

> Hi,
> I've got the same problem with darktable that is described in this
> Mageia discussion:
>
> https://bugs.mageia.org/show_bug.cgi?id=12510
>
> Same workaround works for me on Guix. 
>
> Patch attached.
>
> Cheers, Mark
>
> -- 
>   Mark Meyer
>   [email-masked]
> From 9c954aeec503e79c1a26e3b68d46b4df6e80d820 Mon Sep 17 00:00:00 2001
> From: Mark Meyer <[email-masked]>
> Date: Sun, 10 Dec 2017 23:05:33 +0100
> Subject: [PATCH] gnu: darktable: Add configure option
>
> ---
>  gnu/packages/photo.scm | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/gnu/packages/photo.scm b/gnu/packages/photo.scm
> index 8862bdfcb..0774c60ec 100644
> --- a/gnu/packages/photo.scm
> +++ b/gnu/packages/photo.scm
> @@ -337,7 +337,7 @@ photographic equipment.")
>      (build-system cmake-build-system)
>      (arguments
>       `(#:tests? #f ; There are no tests.
> -       #:configure-flags '("-DCMAKE_INSTALL_LIBDIR=lib")
> +       #:configure-flags '("-DCMAKE_INSTALL_LIBDIR=lib" "-DBINARY_PACKAGE_BUILD=On")
>         #:make-flags
>         (list
>          (string-append "CPATH=" (assoc-ref %build-inputs "ilmbase")

Thanks for this patch!  I had this same problem with darktable.  This
patch looks good to me, and it works on my GuixSD, so I applied it.

Kind regards,
Roel Janssen